| Boost.Hana 1.7.1 Your standard library for metaprogramming |

Classes | Namespaces
ratio.hpp File Reference

Adapts `std::ratio` for use with Hana. More...

## Classes
class | std::ratio< Num, Denom >
| Adaptation of `std::ratio` for Hana. More...

## Namespaces
| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Adapts `std::ratio` for use with Hana.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)